
(function(){
    var apis = {
        getFilter: function(data){
            return APIService.httpGet('doctor/prescriptionInfo/getPrescriptionFilter', data);
        },
        getPrescriptionList: function(data){
            return APIService.httpGet('doctor/prescriptionInfo/getDoctorPrescription', data);
        },
        getPrescriptionListCount: function(data){
            return APIService.httpGet('/doctor/prescriptionInfo/getDoctorPrescriptionTotal', data);
        },
        getPrescriptionListTableAjaxObj: { //表格数据获取时，使用的ajax请求配置
            method: 'get',
            url: APIService.server + 'doctor/prescriptionInfo/getDoctorPrescription', 
            contentType: "application/json",
            dataType: "json",
            ajaxOptions: {
                beforeSend: function(request) {
                    var userAgent = APIService.userAgent;
                    userAgent = JSON.stringify(userAgent);
                    request.setRequestHeader("userAgent", userAgent);
                }
            }
        },
        getPatientInfo: function(data){
            return APIService.httpGet('doctor/patient_label_info/patient', data);
        }
    };

    window.prescriptionListAPI = apis;
})(jQuery)